TweetTemplate (gCube News Feed Portlet 1.6.2-SNAPSHOT API)
Date: 2014-04-01

org.gcube.portlets.user.newsfeed.client.templates

## Class TweetTemplate

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.google.gwt.user.client.ui.Composite
      - - org.gcube.portlets.user.newsfeed.client.templates.TweetTemplate

- All Implemented Interfaces:
    com.google.gwt.event.logical.shared.HasAttachHandlers, com.google.gwt.event.shared.HasHandlers, com.google.gwt.user.client.EventListener, com.google.gwt.user.client.ui.HasVisibility, com.google.gwt.user.client.ui.IsRenderable, com.google.gwt.user.client.ui.IsWidget

      public class TweetTemplate
      extends com.google.gwt.user.client.ui.Composite

  Author:
    Massimiliano Assante. ISTI-CNR

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

      `com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `loading`

    - ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

      `DEBUG_ID_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TweetTemplate(boolean displaySingle, boolean showTimelineSource, org.gcube.portal.databook.shared.UserInfo myUserInfo, EnhancedFeed myFeed, com.google.gwt.event.shared.HandlerManager eventBus)` used when fetching tweets from server
    `TweetTemplate(org.gcube.portal.databook.shared.UserInfo myUserInfo, EnhancedFeed feed, com.google.gwt.event.shared.HandlerManager eventBus, boolean hidden)` used when getting tweets from the client

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addComment(SingleComment comment)`
    `void` | `clearComments()`
    `com.google.gwt.event.shared.HandlerManager` | `getEventBus()`
    `String` | `getFeedKey()`
    `String` | `getMyFeedText()`
    `String` | `getMyFeedUserId()`
    `org.gcube.portal.databook.shared.UserInfo` | `getMyUserInfo()`
    `boolean` | `isAppFeed()`
    `boolean` | `isCommenting()`
    `boolean` | `isCommentsFetched()`
    `void` | `onHover(com.google.gwt.event.dom.client.MouseOutEvent event)`
    `void` | `onHover(com.google.gwt.event.dom.client.MouseOverEvent event)`
    `void` | `remove(com.google.gwt.user.client.ui.Widget w)`
    `void` | `setCommentingDisabled(boolean commenting)`
    `void` | `setCommentsFetched(boolean commentsFetched)`
    `void` | `setcontentAreaStyle(String cssclass)`
    `void` | `showAddCommentForm()`
    `void` | `showLoadingComments()`
    `void` | `updateCommentsNumberCount()`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Composite

      `claimElement, getWidget, initializeClaimedElement, initWidget, isAttached, onAttach, onBrowserEvent, onDetach, render, render, resolvePotentialElement, setWidget`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Widget

      `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getHandlerCount, getLayoutData, getParent, isOrWasAttached, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents`

    - ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

      `addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkBitlessEvent, toString, unsinkEvents`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### loading

          public static final String loading

  - ### Constructor Detail

    - #### TweetTemplate

          public TweetTemplate(boolean displaySingle,
                       boolean showTimelineSource,
                       org.gcube.portal.databook.shared.UserInfo myUserInfo,
                       EnhancedFeed myFeed,
                       com.google.gwt.event.shared.HandlerManager eventBus)

      used when fetching tweets from server
      Parameters:
        `myUserInfo` -
        `myFeed` -
        `isUsers` -
        `displaySingle` - tells if you're displaying a single fedd or not
        `eventBus` -

    - #### TweetTemplate

          public TweetTemplate(org.gcube.portal.databook.shared.UserInfo myUserInfo,
                       EnhancedFeed feed,
                       com.google.gwt.event.shared.HandlerManager eventBus,
                       boolean hidden)

      used when getting tweets from the client
      Parameters:
        `myUserInfo` -
        `feed` -
        `eventBus` -
        `hidden` -

  - ### Method Detail

    - #### onHover

          @UiHandler(value="contentArea")
          public void onHover(com.google.gwt.event.dom.client.MouseOutEvent event)

    - #### onHover

          @UiHandler(value="contentArea")
          public void onHover(com.google.gwt.event.dom.client.MouseOverEvent event)

    - #### showAddCommentForm

          public void showAddCommentForm()

    - #### setcontentAreaStyle

          public void setcontentAreaStyle(String cssclass)

    - #### isCommenting

          public boolean isCommenting()

    - #### setCommentingDisabled

          public void setCommentingDisabled(boolean commenting)

    - #### getFeedKey

          public String getFeedKey()

    - #### remove

          public void remove(com.google.gwt.user.client.ui.Widget w)

    - #### addComment

          public void addComment(SingleComment comment)

    - #### clearComments

          public void clearComments()

    - #### showLoadingComments

          public void showLoadingComments()

    - #### isCommentsFetched

          public boolean isCommentsFetched()

    - #### setCommentsFetched

          public void setCommentsFetched(boolean commentsFetched)

    - #### getEventBus

          public com.google.gwt.event.shared.HandlerManager getEventBus()

    - #### updateCommentsNumberCount

          public void updateCommentsNumberCount()

    - #### getMyUserInfo

          public org.gcube.portal.databook.shared.UserInfo getMyUserInfo()

    - #### getMyFeedUserId

          public String getMyFeedUserId()

    - #### getMyFeedText

          public String getMyFeedText()

    - #### isAppFeed

          public boolean isAppFeed()

Copyright © 2014. All Rights Reserved.